Page MenuHomePhabricator

[IRPrinting] Improve module pass printer to work better with -filter-print-funcs
ClosedPublic

Authored by twoh on Aug 21 2019, 2:51 PM.

Details

Summary

Previously module pass printer pass prints the banner even when the module doesn't include any function provided with -filter-print-funcs option. This introduced a lot of noise, especailly with ThinLTO. This diff addresses the issue and makes the banner printed only when the module includes functions in -filter-print-funcs list.

Diff Detail

Repository
rL LLVM

Event Timeline

twoh created this revision.Aug 21 2019, 2:51 PM
twoh added a comment.Aug 27 2019, 10:46 AM

Friendly ping!

twoh added a comment.Sep 3 2019, 1:28 PM

Friendly ping!

jdoerfert accepted this revision.Sep 3 2019, 1:58 PM
jdoerfert added a subscriber: jdoerfert.

LGTM.

This revision is now accepted and ready to land.Sep 3 2019, 1:58 PM
This revision was automatically updated to reflect the committed changes.